import type { CallbackFn } from '../types';
/**
 * Creates a stable callback function that has access to the latest
 * state and can be used within event handlers and effect callbacks.
 *
 * @param callback the callback to write to ref object
 */
declare const useCallbackRef: <T extends CallbackFn>(callback?: T | undefined) => T;
export default useCallbackRef;
